List monitors with their last check status.
List monitors with their last check status.
GET
/
v1
/
monitors
List monitors with their last check status.
curl --request GET \
--url https://api.outcrawl.ai/v1/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.outcrawl.ai/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.outcrawl.ai/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outcrawl.ai/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.outcrawl.ai/v1/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.outcrawl.ai/v1/monitors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outcrawl.ai/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}Authorizations
An Outcrawl API key, ock_<keyId>.<secret>, minted in the console at https://outcrawl.ai/console/keys, or an OAuth access token, oat_..., issued by https://outcrawl.ai/api/auth with scope api (the CLI gets one from outcrawl login, an MCP client when it signs in).
Response
List monitors with their last check status.
See the matching capability page under docs/app/ and the SDK reference for the exact shape.
⌘I
List monitors with their last check status.
curl --request GET \
--url https://api.outcrawl.ai/v1/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.outcrawl.ai/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.outcrawl.ai/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outcrawl.ai/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.outcrawl.ai/v1/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.outcrawl.ai/v1/monitors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outcrawl.ai/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}